lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cmessages/version'

Gem::Specification.new do |spec|
    spec.name          = 'cmessages'
    spec.version       = Cmessages::VERSION
    spec.authors       = ['Tim Gurney aka Wolf']
    spec.email         = ['wolf@tgwolf.com']

    spec.summary       = 'A simple gem for outputting console errors/warnings/success/info messages.'
    spec.description   = 'A simple gem for outputting console errors/warnings/success/info messages.'
    spec.homepage      = 'https://github.com/WSRubyGems/cmessages'
    spec.license       = 'MIT'

    spec.files         = `git ls-files`.split($/)

    spec.bindir        = 'exe'
    spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = ['lib']

    spec.required_ruby_version = '>= 2.5'

    spec.add_development_dependency 'bundler', '~> 2'
    spec.add_development_dependency 'colorize', '~> 0.8.0'
    spec.add_development_dependency 'rake', '~> 13.0'
    spec.add_development_dependency 'rspec', '~> 3.0'

    spec.add_runtime_dependency 'colorize', '~> 0.8.0'
end
